#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioData = 335,
  AudioDecoder = 345,
  AudioDestinationNode = 358,
  AudioListener = 379,
  AudioNode = 393,
  AudioParam = 403,
  AudioParamMap = 414,
  AudioProcessingEvent = 428,
  AudioScheduledSourceNode = 449,
  AudioTrack = 474,
  AudioTrackList = 485,
  AudioWorklet = 500,
  AudioWorkletGlobalScope = 513,
  AudioWorkletNode = 537,
  AudioWorkletProcessor = 554,
  AuthenticatorAssertionResponse = 576,
  AuthenticatorAttestationResponse = 607,
  AuthenticatorResponse = 640,
  BarProp = 662,
  BaseAudioContext = 670,
  BatteryManager = 687,
  BeforeUnloadEvent = 702,
  BiquadFilterNode = 720,
  Blob = 737,
  BlobEvent = 742,
  BroadcastChannel = 752,
  BrowsingContext = 769,
  BrowsingContextGroup = 785,
  ByteLengthQueuingStrategy = 806,
  CDATASection = 832,
  CSS = 845,
  CSS2Properties = 849,
  CSSAnimation = 864,
  CSSConditionRule = 877,
  CSSContainerRule = 894,
  CSSCounterStyleRule = 911,
  CSSCustomPropertyRegisteredEvent = 931,
  CSSFontFaceRule = 964,
  CSSFontFeatureValuesRule = 980,
  CSSFontPaletteValuesRule = 1005,
  CSSGroupingRule = 1030,
  CSSImportRule = 1046,
  CSSKeyframeRule = 1060,
  CSSKeyframesRule = 1076,
  CSSLayerBlockRule = 1093,
  CSSLayerStatementRule = 1111,
  CSSMediaRule = 1133,
  CSSMozDocumentRule = 1146,
  CSSNamespaceRule = 1165,
  CSSPageRule = 1182,
  CSSPropertyRule = 1194,
  CSSPseudoElement = 1210,
  CSSRule = 1227,
  CSSRuleList = 1235,
  CSSStyleDeclaration = 1247,
  CSSStyleRule = 1267,
  CSSStyleSheet = 1280,
  CSSSupportsRule = 1294,
  CSSTransition = 1310,
  Cache = 1324,
  CacheStorage = 1330,
  CallbackDebuggerNotification = 1343,
  CanonicalBrowsingContext = 1372,
  CanvasCaptureMediaStream = 1397,
  CanvasGradient = 1422,
  CanvasPattern = 1437,
  CanvasRenderingContext2D = 1451,
  CaretPosition = 1476,
  CaretStateChangedEvent = 1490,
  ChannelMergerNode = 1513,
  ChannelSplitterNode = 1531,
  ChannelWrapper = 1551,
  CharacterData = 1566,
  CheckerboardReportService = 1580,
  ChildProcessMessageManager = 1606,
  ChildSHistory = 1633,
  ChromeMessageBroadcaster = 1647,
  ChromeMessageSender = 1672,
  ChromeNodeList = 1692,
  ChromeUtils = 1707,
  ChromeWorker = 1719,
  Client = 1732,
  Clients = 1739,
  Clipboard = 1747,
  ClipboardEvent = 1757,
  ClipboardItem = 1772,
  ClonedErrorHolder = 1786,
  CloseEvent = 1804,
  CommandEvent = 1815,
  Comment = 1828,
  CompositionEvent = 1836,
  CompressionStream = 1853,
  ConsoleInstance = 1871,
  ConstantSourceNode = 1887,
  ContentFrameMessageManager = 1906,
  ContentProcessMessageManager = 1933,
  ContentVisibilityAutoStateChangeEvent = 1962,
  ConvolverNode = 2000,
  CountQueuingStrategy = 2014,
  CreateOfferRequest = 2035,
  Credential = 2054,
  CredentialsContainer = 2065,
  Crypto = 2086,
  CryptoKey = 2093,
  CustomElementRegistry = 2103,
  CustomEvent = 2125,
  CustomStateSet = 2137,
  DOMException = 2152,
  DOMImplementation = 2165,
  DOMLocalization = 2183,
  DOMMatrix = 2199,
  DOMMatrixReadOnly = 2209,
  DOMParser = 2227,
  DOMPoint = 2237,
  DOMPointReadOnly = 2246,
  DOMQuad = 2263,
  DOMRect = 2271,
  DOMRectList = 2279,
  DOMRectReadOnly = 2291,
  DOMStringList = 2307,
  DOMStringMap = 2321,
  DOMTokenList = 2334,
  DataTransfer = 2347,
  DataTransferItem = 2360,
  DataTransferItemList = 2377,
  DebuggerNotification = 2398,
  DebuggerNotificationObserver = 2419,
  DecompressionStream = 2448,
  DedicatedWorkerGlobalScope = 2468,
  DelayNode = 2495,
  DeprecationReportBody = 2505,
  DeviceAcceleration = 2527,
  DeviceLightEvent = 2546,
  DeviceMotionEvent = 2563,
  DeviceOrientationEvent = 2581,
  DeviceRotationRate = 2604,
  Directory = 2623,
  Document = 2633,
  DocumentFragment = 2642,
  DocumentL10n = 2659,
  DocumentTimeline = 2672,
  DocumentType = 2689,
  DominatorTree = 2702,
  DragEvent = 2716,
  DynamicsCompressorNode = 2726,
  EXT_blend_minmax = 2749,
  EXT_color_buffer_float = 2766,
  EXT_color_buffer_half_float = 2789,
  EXT_disjoint_timer_query = 2817,
  EXT_float_blend = 2842,
  EXT_frag_depth = 2858,
  EXT_sRGB = 2873,
  EXT_shader_texture_lod = 2882,
  EXT_texture_compression_bptc = 2905,
  EXT_texture_compression_rgtc = 2934,
  EXT_texture_filter_anisotropic = 2963,
  EXT_texture_norm16 = 2994,
  Element = 3013,
  ElementInternals = 3021,
  EncodedAudioChunk = 3038,
  EncodedVideoChunk = 3056,
  ErrorEvent = 3074,
  Event = 3085,
  EventCallbackDebuggerNotification = 3091,
  EventCounts = 3125,
  EventSource = 3137,
  EventTarget = 3149,
  Exception = 3161,
  ExtendableEvent = 3171,
  ExtendableMessageEvent = 3187,
  ExtensionAlarms = 3210,
  ExtensionBrowser = 3226,
  ExtensionBrowserSettings = 3243,
  ExtensionBrowserSettingsColorManagement = 3268,
  ExtensionDns = 3308,
  ExtensionEventManager = 3321,
  ExtensionMockAPI = 3343,
  ExtensionPort = 3360,
  ExtensionProxy = 3374,
  ExtensionRuntime = 3389,
  ExtensionScripting = 3406,
  ExtensionSetting = 3425,
  ExtensionTest = 3442,
  External = 3456,
  FeaturePolicy = 3465,
  FeaturePolicyViolationReportBody = 3479,
  FetchEvent = 3512,
  FetchObserver = 3523,
  File = 3537,
  FileList = 3542,
  FileReader = 3551,
  FileReaderSync = 3562,
  FileSystem = 3577,
  FileSystemDirectoryEntry = 3588,
  FileSystemDirectoryHandle = 3613,
  FileSystemDirectoryHandle_AsyncIterator = 3639,
  FileSystemDirectoryIterator = 3679,
  FileSystemDirectoryReader = 3707,
  FileSystemEntry = 3733,
  FileSystemFileEntry = 3749,
  FileSystemFileHandle = 3769,
  FileSystemHandle = 3790,
  FileSystemSyncAccessHandle = 3807,
  FileSystemWritableFileStream = 3834,
  Flex = 3863,
  FlexItemValues = 3868,
  FlexLineValues = 3883,
  FluentBundle = 3898,
  FluentBundleAsyncIterator = 3911,
  FluentBundleIterator = 3937,
  FluentPattern = 3958,
  FluentResource = 3972,
  FocusEvent = 3987,
  FontFace = 3998,
  FontFaceSet = 4007,
  FontFaceSetIterator = 4019,
  FontFaceSetLoadEvent = 4039,
  FormData = 4060,
  FormData_Iterator = 4069,
  FormDataEvent = 4087,
  FrameCrashedEvent = 4101,
  FrameLoader = 4119,
  GPU = 4131,
  GPUAdapter = 4135,
  GPUAdapterInfo = 4146,
  GPUBindGroup = 4161,
  GPUBindGroupLayout = 4174,
  GPUBuffer = 4193,
  GPUBufferUsage = 4203,
  GPUCanvasContext = 4218,
  GPUColorWrite = 4235,
  GPUCommandBuffer = 4249,
  GPUCommandEncoder = 4266,
  GPUCompilationInfo = 4284,
  GPUCompilationMessage = 4303,
  GPUComputePassEncoder = 4325,
  GPUComputePipeline = 4347,
  GPUDevice = 4366,
  GPUDeviceLostInfo = 4376,
  GPUError = 4394,
  GPUInternalError = 4403,
  GPUMapMode = 4420,
  GPUOutOfMemoryError = 4431,
  GPUPipelineLayout = 4451,
  GPUQuerySet = 4469,
  GPUQueue = 4481,
  GPURenderBundle = 4490,
  GPURenderBundleEncoder = 4506,
  GPURenderPassEncoder = 4529,
  GPURenderPipeline = 4550,
  GPUSampler = 4568,
  GPUShaderModule = 4579,
  GPUShaderStage = 4595,
  GPUSupportedFeatures = 4610,
  GPUSupportedLimits = 4631,
  GPUTexture = 4650,
  GPUTextureUsage = 4661,
  GPUTextureView = 4677,
  GPUUncapturedErrorEvent = 4692,
  GPUValidationError = 4716,
  GainNode = 4735,
  Gamepad = 4744,
  GamepadAxisMoveEvent = 4752,
  GamepadButton = 4773,
  GamepadButtonEvent = 4787,
  GamepadEvent = 4806,
  GamepadHapticActuator = 4819,
  GamepadLightIndicator = 4841,
  GamepadPose = 4863,
  GamepadServiceTest = 4875,
  GamepadTouch = 4894,
  Geolocation = 4907,
  GeolocationCoordinates = 4919,
  GeolocationPosition = 4942,
  GeolocationPositionError = 4962,
  GetUserMediaRequest = 4987,
  GleanBoolean = 5007,
  GleanCategory = 5020,
  GleanCounter = 5034,
  GleanCustomDistribution = 5047,
  GleanDatetime = 5071,
  GleanDenominator = 5085,
  GleanEvent = 5102,
  GleanImpl = 5113,
  GleanLabeled = 5123,
  GleanMemoryDistribution = 5136,
  GleanMetric = 5160,
  GleanNumerator = 5172,
  GleanObject = 5187,
  GleanPingsImpl = 5199,
  GleanQuantity = 5214,
  GleanRate = 5228,
  GleanString = 5238,
  GleanStringList = 5250,
  GleanText = 5266,
  GleanTimespan = 5276,
  GleanTimingDistribution = 5290,
  GleanUrl = 5314,
  GleanUuid = 5323,
  Grid = 5333,
  GridArea = 5338,
  GridDimension = 5347,
  GridLine = 5361,
  GridLines = 5370,
  GridTrack = 5380,
  GridTracks = 5390,
  HTMLAllCollection = 5401,
  HTMLAnchorElement = 5419,
  HTMLAreaElement = 5437,
  HTMLAudioElement = 5453,
  HTMLBRElement = 5470,
  HTMLBaseElement = 5484,
  HTMLBodyElement = 5500,
  HTMLButtonElement = 5516,
  HTMLCanvasElement = 5534,
  HTMLCollection = 5552,
  HTMLDListElement = 5567,
  HTMLDataElement = 5584,
  HTMLDataListElement = 5600,
  HTMLDetailsElement = 5620,
  HTMLDialogElement = 5639,
  HTMLDirectoryElement = 5657,
  HTMLDivElement = 5678,
  HTMLDocument = 5693,
  HTMLElement = 5706,
  HTMLEmbedElement = 5718,
  HTMLFieldSetElement = 5735,
  HTMLFontElement = 5755,
  HTMLFormControlsCollection = 5771,
  HTMLFormElement = 5798,
  HTMLFrameElement = 5814,
  HTMLFrameSetElement = 5831,
  HTMLHRElement = 5851,
  HTMLHeadElement = 5865,
  HTMLHeadingElement = 5881,
  HTMLHtmlElement = 5900,
  HTMLIFrameElement = 5916,
  HTMLImageElement = 5934,
  HTMLInputElement = 5951,
  HTMLLIElement = 5968,
  HTMLLabelElement = 5982,
  HTMLLegendElement = 5999,
  HTMLLinkElement = 6017,
  HTMLMapElement = 6033,
  HTMLMarqueeElement = 6048,
  HTMLMediaElement = 6067,
  HTMLMenuElement = 6084,
  HTMLMetaElement = 6100,
  HTMLMeterElement = 6116,
  HTMLModElement = 6133,
  HTMLOListElement = 6148,
  HTMLObjectElement = 6165,
  HTMLOptGroupElement = 6183,
  HTMLOptionElement = 6203,
  HTMLOptionsCollection = 6221,
  HTMLOutputElement = 6243,
  HTMLParagraphElement = 6261,
  HTMLParamElement = 6282,
  HTMLPictureElement = 6299,
  HTMLPreElement = 6318,
  HTMLProgressElement = 6333,
  HTMLQuoteElement = 6353,
  HTMLScriptElement = 6370,
  HTMLSelectElement = 6388,
  HTMLSlotElement = 6406,
  HTMLSourceElement = 6422,
  HTMLSpanElement = 6440,
  HTMLStyleElement = 6456,
  HTMLTableCaptionElement = 6473,
  HTMLTableCellElement = 6497,
  HTMLTableColElement = 6518,
  HTMLTableElement = 6538,
  HTMLTableRowElement = 6555,
  HTMLTableSectionElement = 6575,
  HTMLTemplateElement = 6599,
  HTMLTextAreaElement = 6619,
  HTMLTimeElement = 6639,
  HTMLTitleElement = 6655,
  HTMLTrackElement = 6672,
  HTMLUListElement = 6689,
  HTMLUnknownElement = 6706,
  HTMLVideoElement = 6725,
  HashChangeEvent = 6742,
  Headers = 6758,
  Headers_Iterator = 6766,
  HeapSnapshot = 6783,
  Highlight = 6796,
  HighlightRegistry = 6806,
  History = 6824,
  IDBCursor = 6832,
  IDBCursorWithValue = 6842,
  IDBDatabase = 6861,
  IDBFactory = 6873,
  IDBIndex = 6884,
  IDBKeyRange = 6893,
  IDBObjectStore = 6905,
  IDBOpenDBRequest = 6920,
  IDBRequest = 6937,
  IDBTransaction = 6948,
  IDBVersionChangeEvent = 6963,
  IIRFilterNode = 6985,
  IOUtils = 6999,
  IdentityCredential = 7007,
  IdleDeadline = 7026,
  Image = 7039,
  ImageBitmap = 7045,
  ImageBitmapRenderingContext = 7057,
  ImageCapture = 7085,
  ImageCaptureError = 7098,
  ImageCaptureErrorEvent = 7116,
  ImageData = 7139,
  ImageDocument = 7149,
  InputEvent = 7163,
  InspectorFontFace = 7174,
  InspectorUtils = 7192,
  InstallTriggerImpl = 7207,
  IntersectionObserver = 7226,
  IntersectionObserverEntry = 7247,
  IntlUtils = 7273,
  InvokeEvent = 7283,
  JSProcessActorChild = 7295,
  JSProcessActorParent = 7315,
  JSWindowActorChild = 7336,
  JSWindowActorParent = 7355,
  KeyEvent = 7375,
  KeyboardEvent = 7384,
  KeyframeEffect = 7398,
  L10nFileSource = 7413,
  L10nOverlays = 7428,
  L10nRegistry = 7441,
  LargestContentfulPaint = 7454,
  LegacyMozTCPSocket = 7477,
  Localization = 7496,
  Location = 7509,
  Lock = 7518,
  LockManager = 7523,
  MIDIAccess = 7535,
  MIDIConnectionEvent = 7546,
  MIDIInput = 7566,
  MIDIInputMap = 7576,
  MIDIMessageEvent = 7589,
  MIDIOutput = 7606,
  MIDIOutputMap = 7617,
  MIDIPort = 7631,
  MOZ_debug = 7640,
  MatchGlob = 7650,
  MatchPattern = 7660,
  MatchPatternSet = 7673,
  MathMLElement = 7689,
  MediaCapabilities = 7703,
  MediaCapabilitiesInfo = 7721,
  MediaControlService = 7743,
  MediaController = 7763,
  MediaDeviceInfo = 7779,
  MediaDevices = 7795,
  MediaElementAudioSourceNode = 7808,
  MediaEncryptedEvent = 7836,
  MediaError = 7856,
  MediaKeyError = 7867,
  MediaKeyMessageEvent = 7881,
  MediaKeySession = 7902,
  MediaKeyStatusMap = 7918,
  MediaKeyStatusMap_Iterator = 7936,
  MediaKeySystemAccess = 7963,
  MediaKeys = 7984,
  MediaList = 7994,
  MediaMetadata = 8004,
  MediaQueryList = 8018,
  MediaQueryListEvent = 8033,
  MediaRecorder = 8053,
  MediaRecorderErrorEvent = 8067,
  MediaSession = 8091,
  MediaSource = 8104,
  MediaStream = 8116,
  MediaStreamAudioDestinationNode = 8128,
  MediaStreamAudioSourceNode = 8160,
  MediaStreamError = 8187,
  MediaStreamEvent = 8204,
  MediaStreamTrack = 8221,
  MediaStreamTrackAudioSourceNode = 8238,
  MediaStreamTrackEvent = 8270,
  MerchantValidationEvent = 8292,
  MessageBroadcaster = 8316,
  MessageChannel = 8335,
  MessageEvent = 8350,
  MessageListenerManager = 8363,
  MessagePort = 8386,
  MessageSender = 8398,
  MimeType = 8412,
  MimeTypeArray = 8421,
  MouseEvent = 8435,
  MouseScrollEvent = 8446,
  MozCanvasPrintState = 8463,
  MozDocumentMatcher = 8483,
  MozDocumentObserver = 8502,
  MozQueryInterface = 8522,
  MozSharedMap = 8540,
  MozSharedMap_Iterator = 8553,
  MozSharedMapChangeEvent = 8575,
  MozStorageAsyncStatementParams = 8599,
  MozStorageStatementParams = 8630,
  MozStorageStatementRow = 8656,
  MozWritableSharedMap = 8679,
  MutationEvent = 8700,
  MutationObserver = 8714,
  MutationRecord = 8731,
  NamedNodeMap = 8746,
  NavigationPreloadManager = 8759,
  Navigator = 8784,
  NetworkInformation = 8794,
  Node = 8813,
  NodeFilter = 8818,
  NodeIterator = 8829,
  NodeList = 8842,
  Notification = 8851,
  NotificationEvent = 8864,
  NotifyPaintEvent = 8882,
  OES_draw_buffers_indexed = 8899,
  OES_element_index_uint = 8924,
  OES_fbo_render_mipmap = 8947,
  OES_standard_derivatives = 8969,
  OES_texture_float = 8994,
  OES_texture_float_linear = 9012,
  OES_texture_half_float = 9037,
  OES_texture_half_float_linear = 9060,
  OES_vertex_array_object = 9090,
  OVR_multiview2 = 9114,
  OfflineAudioCompletionEvent = 9129,
  OfflineAudioContext = 9157,
  OffscreenCanvas = 9177,
  OffscreenCanvasRenderingContext2D = 9193,
  OnlyForUseInConstructor = 9227,
  Option = 9251,
  OscillatorNode = 9258,
  PageTransitionEvent = 9273,
  PaintRequest = 9293,
  PaintRequestList = 9306,
  PaintWorkletGlobalScope = 9323,
  PannerNode = 9347,
  ParentProcessMessageManager = 9358,
  Path2D = 9386,
  PathUtils = 9393,
  PaymentAddress = 9403,
  PaymentMethodChangeEvent = 9418,
  PaymentRequest = 9443,
  PaymentRequestUpdateEvent = 9458,
  PaymentResponse = 9484,
  PeerConnectionImpl = 9500,
  PeerConnectionObserver = 9519,
  Performance = 9542,
  PerformanceEntry = 9554,
  PerformanceEntryEvent = 9571,
  PerformanceEventTiming = 9593,
  PerformanceMark = 9616,
  PerformanceMeasure = 9632,
  PerformanceNavigation = 9651,
  PerformanceNavigationTiming = 9673,
  PerformanceObserver = 9701,
  PerformanceObserverEntryList = 9721,
  PerformancePaintTiming = 9750,
  PerformanceResourceTiming = 9773,
  PerformanceServerTiming = 9799,
  PerformanceTiming = 9823,
  PeriodicWave = 9841,
  PermissionStatus = 9854,
  Permissions = 9871,
  PlacesBookmark = 9883,
  PlacesBookmarkAddition = 9898,
  PlacesBookmarkChanged = 9921,
  PlacesBookmarkGuid = 9943,
  PlacesBookmarkKeyword = 9962,
  PlacesBookmarkMoved = 9984,
  PlacesBookmarkRemoved = 10004,
  PlacesBookmarkTags = 10026,
  PlacesBookmarkTime = 10045,
  PlacesBookmarkTitle = 10064,
  PlacesBookmarkUrl = 10084,
  PlacesEvent = 10102,
  PlacesFavicon = 10114,
  PlacesHistoryCleared = 10128,
  PlacesObservers = 10149,
  PlacesPurgeCaches = 10165,
  PlacesRanking = 10183,
  PlacesVisit = 10197,
  PlacesVisitRemoved = 10209,
  PlacesVisitTitle = 10228,
  PlacesWeakCallbackWrapper = 10245,
  Plugin = 10271,
  PluginArray = 10278,
  PluginCrashedEvent = 10290,
  PointerEvent = 10309,
  PopStateEvent = 10322,
  PopupBlockedEvent = 10336,
  PopupPositionedEvent = 10354,
  PositionStateEvent = 10375,
  PrecompiledScript = 10394,
  ProcessMessageManager = 10412,
  ProcessingInstruction = 10434,
  ProgressEvent = 10456,
  PromiseDebugging = 10470,
  PromiseNativeHandler = 10487,
  PromiseRejectionEvent = 10508,
  PublicKeyCredential = 10530,
  PushEvent = 10550,
  PushManager = 10560,
  PushManagerImpl = 10572,
  PushMessageData = 10588,
  PushSubscription = 10604,
  PushSubscriptionOptions = 10621,
  RTCCertificate = 10645,
  RTCDTMFSender = 10660,
  RTCDTMFToneChangeEvent = 10674,
  RTCDataChannel = 10697,
  RTCDataChannelEvent = 10712,
  RTCDtlsTransport = 10732,
  RTCEncodedAudioFrame = 10749,
  RTCEncodedVideoFrame = 10770,
  RTCIceCandidate = 10791,
  RTCIceTransport = 10807,
  RTCIdentityProviderRegistrar = 10823,
  RTCPeerConnection = 10852,
  RTCPeerConnectionIceEvent = 10870,
  RTCPeerConnectionStatic = 10896,
  RTCRtpReceiver = 10920,
  RTCRtpScriptTransform = 10935,
  RTCRtpScriptTransformer = 10957,
  RTCRtpSender = 10981,
  RTCRtpTransceiver = 10994,
  RTCSctpTransport = 11012,
  RTCSessionDescription = 11029,
  RTCStatsReport = 11051,
  RTCTrackEvent = 11066,
  RTCTransformEvent = 11080,
  RadioNodeList = 11098,
  Range = 11112,
  ReadableByteStreamController = 11118,
  ReadableStream = 11147,
  ReadableStream_AsyncIterator = 11162,
  ReadableStreamBYOBReader = 11191,
  ReadableStreamBYOBRequest = 11216,
  ReadableStreamDefaultController = 11242,
  ReadableStreamDefaultReader = 11274,
  Report = 11302,
  ReportBody = 11309,
  ReportingObserver = 11320,
  Request = 11338,
  ResizeObserver = 11346,
  ResizeObserverEntry = 11361,
  ResizeObserverSize = 11381,
  Response = 11400,
  SVGAElement = 11409,
  SVGAngle = 11421,
  SVGAnimateElement = 11430,
  SVGAnimateMotionElement = 11448,
  SVGAnimateTransformElement = 11472,
  SVGAnimatedAngle = 11499,
  SVGAnimatedBoolean = 11516,
  SVGAnimatedEnumeration = 11535,
  SVGAnimatedInteger = 11558,
  SVGAnimatedLength = 11577,
  SVGAnimatedLengthList = 11595,
  SVGAnimatedNumber = 11617,
  SVGAnimatedNumberList = 11635,
  SVGAnimatedPreserveAspectRatio = 11657,
  SVGAnimatedRect = 11688,
  SVGAnimatedString = 11704,
  SVGAnimatedTransformList = 11722,
  SVGAnimationElement = 11747,
  SVGCircleElement = 11767,
  SVGClipPathElement = 11784,
  SVGComponentTransferFunctionElement = 11803,
  SVGDefsElement = 11839,
  SVGDescElement = 11854,
  SVGElement = 11869,
  SVGEllipseElement = 11880,
  SVGFEBlendElement = 11898,
  SVGFEColorMatrixElement = 11916,
  SVGFEComponentTransferElement = 11940,
  SVGFECompositeElement = 11970,
  SVGFEConvolveMatrixElement = 11992,
  SVGFEDiffuseLightingElement = 12019,
  SVGFEDisplacementMapElement = 12047,
  SVGFEDistantLightElement = 12075,
  SVGFEDropShadowElement = 12100,
  SVGFEFloodElement = 12123,
  SVGFEFuncAElement = 12141,
  SVGFEFuncBElement = 12159,
  SVGFEFuncGElement = 12177,
  SVGFEFuncRElement = 12195,
  SVGFEGaussianBlurElement = 12213,
  SVGFEImageElement = 12238,
  SVGFEMergeElement = 12256,
  SVGFEMergeNodeElement = 12274,
  SVGFEMorphologyElement = 12296,
  SVGFEOffsetElement = 12319,
  SVGFEPointLightElement = 12338,
  SVGFESpecularLightingElement = 12361,
  SVGFESpotLightElement = 12390,
  SVGFETileElement = 12412,
  SVGFETurbulenceElement = 12429,
  SVGFilterElement = 12452,
  SVGForeignObjectElement = 12469,
  SVGGElement = 12493,
  SVGGeometryElement = 12505,
  SVGGradientElement = 12524,
  SVGGraphicsElement = 12543,
  SVGImageElement = 12562,
  SVGLength = 12578,
  SVGLengthList = 12588,
  SVGLineElement = 12602,
  SVGLinearGradientElement = 12617,
  SVGMPathElement = 12642,
  SVGMarkerElement = 12658,
  SVGMaskElement = 12675,
  SVGMatrix = 12690,
  SVGMetadataElement = 12700,
  SVGNumber = 12719,
  SVGNumberList = 12729,
  SVGPathElement = 12743,
  SVGPathSeg = 12758,
  SVGPathSegArcAbs = 12769,
  SVGPathSegArcRel = 12786,
  SVGPathSegClosePath = 12803,
  SVGPathSegCurvetoCubicAbs = 12823,
  SVGPathSegCurvetoCubicRel = 12849,
  SVGPathSegCurvetoCubicSmoothAbs = 12875,
  SVGPathSegCurvetoCubicSmoothRel = 12907,
  SVGPathSegCurvetoQuadraticAbs = 12939,
  SVGPathSegCurvetoQuadraticRel = 12969,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12999,
  SVGPathSegCurvetoQuadraticSmoothRel = 13035,
  SVGPathSegLinetoAbs = 13071,
  SVGPathSegLinetoHorizontalAbs = 13091,
  SVGPathSegLinetoHorizontalRel = 13121,
  SVGPathSegLinetoRel = 13151,
  SVGPathSegLinetoVerticalAbs = 13171,
  SVGPathSegLinetoVerticalRel = 13199,
  SVGPathSegList = 13227,
  SVGPathSegMovetoAbs = 13242,
  SVGPathSegMovetoRel = 13262,
  SVGPatternElement = 13282,
  SVGPoint = 13300,
  SVGPointList = 13309,
  SVGPolygonElement = 13322,
  SVGPolylineElement = 13340,
  SVGPreserveAspectRatio = 13359,
  SVGRadialGradientElement = 13382,
  SVGRect = 13407,
  SVGRectElement = 13415,
  SVGSVGElement = 13430,
  SVGScriptElement = 13444,
  SVGSetElement = 13461,
  SVGStopElement = 13475,
  SVGStringList = 13490,
  SVGStyleElement = 13504,
  SVGSwitchElement = 13520,
  SVGSymbolElement = 13537,
  SVGTSpanElement = 13554,
  SVGTextContentElement = 13570,
  SVGTextElement = 13592,
  SVGTextPathElement = 13607,
  SVGTextPositioningElement = 13626,
  SVGTitleElement = 13652,
  SVGTransform = 13668,
  SVGTransformList = 13681,
  SVGUnitTypes = 13698,
  SVGUseElement = 13711,
  SVGViewElement = 13725,
  Sanitizer = 13740,
  Scheduler = 13750,
  Screen = 13760,
  ScreenLuminance = 13767,
  ScreenOrientation = 13783,
  ScriptProcessorNode = 13801,
  ScrollAreaEvent = 13821,
  ScrollViewChangeEvent = 13837,
  SecurityPolicyViolationEvent = 13859,
  Selection = 13888,
  ServiceWorker = 13898,
  ServiceWorkerContainer = 13912,
  ServiceWorkerGlobalScope = 13935,
  ServiceWorkerRegistration = 13960,
  SessionStoreFormData = 13986,
  SessionStoreScrollData = 14007,
  SessionStoreUtils = 14030,
  ShadowRealmGlobalScope = 14048,
  ShadowRoot = 14071,
  SharedWorker = 14082,
  SharedWorkerGlobalScope = 14095,
  SimpleGestureEvent = 14119,
  SourceBuffer = 14138,
  SourceBufferList = 14151,
  SpeechGrammar = 14168,
  SpeechGrammarList = 14182,
  SpeechRecognition = 14200,
  SpeechRecognitionAlternative = 14218,
  SpeechRecognitionError = 14247,
  SpeechRecognitionEvent = 14270,
  SpeechRecognitionResult = 14293,
  SpeechRecognitionResultList = 14317,
  SpeechSynthesis = 14345,
  SpeechSynthesisErrorEvent = 14361,
  SpeechSynthesisEvent = 14387,
  SpeechSynthesisUtterance = 14408,
  SpeechSynthesisVoice = 14433,
  StaticRange = 14454,
  StereoPannerNode = 14466,
  Storage = 14483,
  StorageEvent = 14491,
  StorageManager = 14504,
  StreamFilter = 14519,
  StreamFilterDataEvent = 14532,
  StructuredCloneHolder = 14554,
  StructuredCloneTester = 14576,
  StyleSheet = 14598,
  StyleSheetApplicableStateChangeEvent = 14609,
  StyleSheetList = 14646,
  StyleSheetRemovedEvent = 14661,
  SubmitEvent = 14684,
  SubtleCrypto = 14696,
  SyncMessageSender = 14709,
  SyncReadFile = 14727,
  TCPServerSocket = 14740,
  TCPServerSocketEvent = 14756,
  TCPSocket = 14777,
  TCPSocketErrorEvent = 14787,
  TCPSocketEvent = 14807,
  TaskController = 14822,
  TaskPriorityChangeEvent = 14837,
  TaskSignal = 14861,
  TelemetryStopwatch = 14872,
  TestAttributesOnTypes = 14891,
  TestCEReactionsInterface = 14913,
  TestCImplementedInterface = 14938,
  TestCImplementedInterface2 = 14964,
  TestCallbackDictUnionOverload = 14991,
  TestChildInterface = 15021,
  TestConstructorForFuncInterface = 15040,
  TestConstructorForPrefInterface = 15072,
  TestConstructorForSCInterface = 15104,
  TestCppKeywordNamedMethodsInterface = 15134,
  TestDeprecatedInterface = 15170,
  TestExampleInterface = 15194,
  TestExampleProxyInterface = 15215,
  TestExampleThrowingConstructorInterface = 15241,
  TestExampleWorkerInterface = 15281,
  TestFuncConstructorForDifferentFuncInterface = 15308,
  TestFuncConstructorForInterface = 15353,
  TestHTMLConstructorInterface = 15385,
  TestIndexedAndNamedGetterAndSetterInterface = 15414,
  TestIndexedAndNamedGetterInterface = 15458,
  TestIndexedAndNamedSetterInterface = 15493,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 15528,
  TestIndexedGetterInterface = 15578,
  TestIndexedSetterInterface = 15605,
  TestInterface = 15632,
  TestInterfaceWithPromiseConstructorArg = 15646,
  TestJSImplInterface = 15685,
  TestJSImplInterface2 = 15705,
  TestJSImplInterface3 = 15726,
  TestJSImplInterface4 = 15747,
  TestJSImplInterface5 = 15768,
  TestJSImplInterface6 = 15789,
  TestJSImplNoInterfaceObject = 15810,
  TestNamedDeleterInterface = 15838,
  TestNamedDeleterWithRetvalInterface = 15864,
  TestNamedGetterInterface = 15900,
  TestNamedSetterInterface = 15925,
  TestNamespace = 15950,
  TestNonWrapperCacheInterface = 15964,
  TestParentInterface = 15993,
  TestPrefChromeOnlySCFuncConstructorForInterface = 16013,
  TestPrefConstructorForDifferentPrefInterface = 16061,
  TestPrefConstructorForInterface = 16106,
  TestProtoObjectHackedNamespace = 16138,
  TestRenamedInterface = 16169,
  TestRenamedNamespace = 16190,
  TestSCConstructorForInterface = 16211,
  TestSecureContextInterface = 16241,
  TestThrowingConstructorInterface = 16268,
  TestUtils = 16301,
  TestWorkerExposedInterface = 16311,
  TestingDeprecatedInterface = 16338,
  Text = 16365,
  TextClause = 16370,
  TextDecoder = 16381,
  TextDecoderStream = 16393,
  TextEncoder = 16411,
  TextEncoderStream = 16423,
  TextMetrics = 16441,
  TextTrack = 16453,
  TextTrackCue = 16463,
  TextTrackCueList = 16476,
  TextTrackList = 16493,
  TimeEvent = 16507,
  TimeRanges = 16517,
  ToggleEvent = 16528,
  Touch = 16540,
  TouchEvent = 16546,
  TouchList = 16557,
  TrackEvent = 16567,
  TransformStream = 16578,
  TransformStreamDefaultController = 16594,
  TransitionEvent = 16627,
  TreeColumn = 16643,
  TreeColumns = 16654,
  TreeContentView = 16666,
  TreeWalker = 16682,
  TrustedHTML = 16693,
  TrustedScript = 16705,
  TrustedScriptURL = 16719,
  TrustedTypePolicy = 16736,
  TrustedTypePolicyFactory = 16754,
  UDPMessageEvent = 16779,
  UDPSocket = 16795,
  UIEvent = 16805,
  URL = 16813,
  URLSearchParams = 16817,
  URLSearchParams_Iterator = 16833,
  UniFFIPointer = 16858,
  UniFFIScaffolding = 16872,
  UserActivation = 16890,
  UserInteraction = 16905,
  UserProximityEvent = 16921,
  VRDisplay = 16940,
  VRDisplayCapabilities = 16950,
  VRDisplayEvent = 16972,
  VREyeParameters = 16987,
  VRFieldOfView = 17003,
  VRFrameData = 17017,
  VRMockController = 17029,
  VRMockDisplay = 17046,
  VRPose = 17060,
  VRServiceTest = 17067,
  VRStageParameters = 17081,
  VTTCue = 17099,
  VTTRegion = 17106,
  ValidityState = 17116,
  VideoColorSpace = 17130,
  VideoDecoder = 17146,
  VideoEncoder = 17159,
  VideoFrame = 17172,
  VideoPlaybackQuality = 17183,
  VideoTrack = 17204,
  VideoTrackList = 17215,
  VisualViewport = 17230,
  WEBGL_color_buffer_float = 17245,
  WEBGL_compressed_texture_astc = 17270,
  WEBGL_compressed_texture_etc = 17300,
  WEBGL_compressed_texture_etc1 = 17329,
  WEBGL_compressed_texture_pvrtc = 17359,
  WEBGL_compressed_texture_s3tc = 17390,
  WEBGL_compressed_texture_s3tc_srgb = 17420,
  WEBGL_debug_renderer_info = 17455,
  WEBGL_debug_shaders = 17481,
  WEBGL_depth_texture = 17501,
  WEBGL_draw_buffers = 17521,
  WEBGL_explicit_present = 17540,
  WEBGL_lose_context = 17563,
  WEBGL_provoking_vertex = 17582,
  WakeLock = 17605,
  WakeLockSentinel = 17614,
  WaveShaperNode = 17631,
  WebExtensionContentScript = 17646,
  WebExtensionPolicy = 17672,
  WebGL2RenderingContext = 17691,
  WebGLActiveInfo = 17714,
  WebGLBuffer = 17730,
  WebGLContextEvent = 17742,
  WebGLFramebuffer = 17760,
  WebGLProgram = 17777,
  WebGLQuery = 17790,
  WebGLRenderbuffer = 17801,
  WebGLRenderingContext = 17819,
  WebGLSampler = 17841,
  WebGLShader = 17854,
  WebGLShaderPrecisionFormat = 17866,
  WebGLSync = 17893,
  WebGLTexture = 17903,
  WebGLTransformFeedback = 17916,
  WebGLUniformLocation = 17939,
  WebGLVertexArrayObject = 17960,
  WebKitCSSMatrix = 17983,
  WebSocket = 17999,
  WebTransport = 18009,
  WebTransportBidirectionalStream = 18022,
  WebTransportDatagramDuplexStream = 18054,
  WebTransportError = 18087,
  WebTransportReceiveStream = 18105,
  WebTransportSendStream = 18131,
  WebrtcGlobalInformation = 18154,
  WheelEvent = 18178,
  Window = 18189,
  WindowClient = 18196,
  WindowContext = 18209,
  WindowGlobalChild = 18223,
  WindowGlobalParent = 18241,
  WindowRoot = 18260,
  Worker = 18271,
  WorkerDebuggerGlobalScope = 18278,
  WorkerGlobalScope = 18304,
  WorkerLocation = 18322,
  WorkerNavigator = 18337,
  WorkerTestUtils = 18353,
  Worklet = 18369,
  WorkletGlobalScope = 18377,
  WritableStream = 18396,
  WritableStreamDefaultController = 18411,
  WritableStreamDefaultWriter = 18443,
  XMLDocument = 18471,
  XMLHttpRequest = 18483,
  XMLHttpRequestEventTarget = 18498,
  XMLHttpRequestUpload = 18524,
  XMLSerializer = 18545,
  XPathEvaluator = 18559,
  XPathExpression = 18574,
  XPathResult = 18590,
  XRBoundedReferenceSpace = 18602,
  XRFrame = 18626,
  XRInputSource = 18634,
  XRInputSourceArray = 18648,
  XRInputSourceEvent = 18667,
  XRInputSourcesChangeEvent = 18686,
  XRPose = 18712,
  XRReferenceSpace = 18719,
  XRReferenceSpaceEvent = 18736,
  XRRenderState = 18758,
  XRRigidTransform = 18772,
  XRSession = 18789,
  XRSessionEvent = 18799,
  XRSpace = 18814,
  XRSystem = 18822,
  XRView = 18831,
  XRViewerPose = 18838,
  XRViewport = 18851,
  XRWebGLLayer = 18862,
  XSLTProcessor = 18875,
  XULCommandEvent = 18889,
  XULElement = 18905,
  XULFrameElement = 18916,
  XULMenuElement = 18932,
  XULPopupElement = 18947,
  XULResizerElement = 18963,
  XULTextElement = 18981,
  XULTreeElement = 18996,
  console = 19011,
  webkitSpeechGrammar = 19019,
  webkitSpeechGrammarList = 19039,
  webkitSpeechRecognition = 19063,
  webkitURL = 19087,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
