#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioData" "\0"
  /*   345 */ "AudioDecoder" "\0"
  /*   358 */ "AudioDestinationNode" "\0"
  /*   379 */ "AudioListener" "\0"
  /*   393 */ "AudioNode" "\0"
  /*   403 */ "AudioParam" "\0"
  /*   414 */ "AudioParamMap" "\0"
  /*   428 */ "AudioProcessingEvent" "\0"
  /*   449 */ "AudioScheduledSourceNode" "\0"
  /*   474 */ "AudioTrack" "\0"
  /*   485 */ "AudioTrackList" "\0"
  /*   500 */ "AudioWorklet" "\0"
  /*   513 */ "AudioWorkletGlobalScope" "\0"
  /*   537 */ "AudioWorkletNode" "\0"
  /*   554 */ "AudioWorkletProcessor" "\0"
  /*   576 */ "AuthenticatorAssertionResponse" "\0"
  /*   607 */ "AuthenticatorAttestationResponse" "\0"
  /*   640 */ "AuthenticatorResponse" "\0"
  /*   662 */ "BarProp" "\0"
  /*   670 */ "BaseAudioContext" "\0"
  /*   687 */ "BatteryManager" "\0"
  /*   702 */ "BeforeUnloadEvent" "\0"
  /*   720 */ "BiquadFilterNode" "\0"
  /*   737 */ "Blob" "\0"
  /*   742 */ "BlobEvent" "\0"
  /*   752 */ "BroadcastChannel" "\0"
  /*   769 */ "BrowsingContext" "\0"
  /*   785 */ "BrowsingContextGroup" "\0"
  /*   806 */ "ByteLengthQueuingStrategy" "\0"
  /*   832 */ "CDATASection" "\0"
  /*   845 */ "CSS" "\0"
  /*   849 */ "CSS2Properties" "\0"
  /*   864 */ "CSSAnimation" "\0"
  /*   877 */ "CSSConditionRule" "\0"
  /*   894 */ "CSSContainerRule" "\0"
  /*   911 */ "CSSCounterStyleRule" "\0"
  /*   931 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   964 */ "CSSFontFaceRule" "\0"
  /*   980 */ "CSSFontFeatureValuesRule" "\0"
  /*  1005 */ "CSSFontPaletteValuesRule" "\0"
  /*  1030 */ "CSSGroupingRule" "\0"
  /*  1046 */ "CSSImportRule" "\0"
  /*  1060 */ "CSSKeyframeRule" "\0"
  /*  1076 */ "CSSKeyframesRule" "\0"
  /*  1093 */ "CSSLayerBlockRule" "\0"
  /*  1111 */ "CSSLayerStatementRule" "\0"
  /*  1133 */ "CSSMediaRule" "\0"
  /*  1146 */ "CSSMozDocumentRule" "\0"
  /*  1165 */ "CSSNamespaceRule" "\0"
  /*  1182 */ "CSSPageRule" "\0"
  /*  1194 */ "CSSPropertyRule" "\0"
  /*  1210 */ "CSSPseudoElement" "\0"
  /*  1227 */ "CSSRule" "\0"
  /*  1235 */ "CSSRuleList" "\0"
  /*  1247 */ "CSSStyleDeclaration" "\0"
  /*  1267 */ "CSSStyleRule" "\0"
  /*  1280 */ "CSSStyleSheet" "\0"
  /*  1294 */ "CSSSupportsRule" "\0"
  /*  1310 */ "CSSTransition" "\0"
  /*  1324 */ "Cache" "\0"
  /*  1330 */ "CacheStorage" "\0"
  /*  1343 */ "CallbackDebuggerNotification" "\0"
  /*  1372 */ "CanonicalBrowsingContext" "\0"
  /*  1397 */ "CanvasCaptureMediaStream" "\0"
  /*  1422 */ "CanvasGradient" "\0"
  /*  1437 */ "CanvasPattern" "\0"
  /*  1451 */ "CanvasRenderingContext2D" "\0"
  /*  1476 */ "CaretPosition" "\0"
  /*  1490 */ "CaretStateChangedEvent" "\0"
  /*  1513 */ "ChannelMergerNode" "\0"
  /*  1531 */ "ChannelSplitterNode" "\0"
  /*  1551 */ "ChannelWrapper" "\0"
  /*  1566 */ "CharacterData" "\0"
  /*  1580 */ "CheckerboardReportService" "\0"
  /*  1606 */ "ChildProcessMessageManager" "\0"
  /*  1633 */ "ChildSHistory" "\0"
  /*  1647 */ "ChromeMessageBroadcaster" "\0"
  /*  1672 */ "ChromeMessageSender" "\0"
  /*  1692 */ "ChromeNodeList" "\0"
  /*  1707 */ "ChromeUtils" "\0"
  /*  1719 */ "ChromeWorker" "\0"
  /*  1732 */ "Client" "\0"
  /*  1739 */ "Clients" "\0"
  /*  1747 */ "Clipboard" "\0"
  /*  1757 */ "ClipboardEvent" "\0"
  /*  1772 */ "ClipboardItem" "\0"
  /*  1786 */ "ClonedErrorHolder" "\0"
  /*  1804 */ "CloseEvent" "\0"
  /*  1815 */ "CommandEvent" "\0"
  /*  1828 */ "Comment" "\0"
  /*  1836 */ "CompositionEvent" "\0"
  /*  1853 */ "CompressionStream" "\0"
  /*  1871 */ "ConsoleInstance" "\0"
  /*  1887 */ "ConstantSourceNode" "\0"
  /*  1906 */ "ContentFrameMessageManager" "\0"
  /*  1933 */ "ContentProcessMessageManager" "\0"
  /*  1962 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  2000 */ "ConvolverNode" "\0"
  /*  2014 */ "CountQueuingStrategy" "\0"
  /*  2035 */ "CreateOfferRequest" "\0"
  /*  2054 */ "Credential" "\0"
  /*  2065 */ "CredentialsContainer" "\0"
  /*  2086 */ "Crypto" "\0"
  /*  2093 */ "CryptoKey" "\0"
  /*  2103 */ "CustomElementRegistry" "\0"
  /*  2125 */ "CustomEvent" "\0"
  /*  2137 */ "CustomStateSet" "\0"
  /*  2152 */ "DOMException" "\0"
  /*  2165 */ "DOMImplementation" "\0"
  /*  2183 */ "DOMLocalization" "\0"
  /*  2199 */ "DOMMatrix" "\0"
  /*  2209 */ "DOMMatrixReadOnly" "\0"
  /*  2227 */ "DOMParser" "\0"
  /*  2237 */ "DOMPoint" "\0"
  /*  2246 */ "DOMPointReadOnly" "\0"
  /*  2263 */ "DOMQuad" "\0"
  /*  2271 */ "DOMRect" "\0"
  /*  2279 */ "DOMRectList" "\0"
  /*  2291 */ "DOMRectReadOnly" "\0"
  /*  2307 */ "DOMStringList" "\0"
  /*  2321 */ "DOMStringMap" "\0"
  /*  2334 */ "DOMTokenList" "\0"
  /*  2347 */ "DataTransfer" "\0"
  /*  2360 */ "DataTransferItem" "\0"
  /*  2377 */ "DataTransferItemList" "\0"
  /*  2398 */ "DebuggerNotification" "\0"
  /*  2419 */ "DebuggerNotificationObserver" "\0"
  /*  2448 */ "DecompressionStream" "\0"
  /*  2468 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2495 */ "DelayNode" "\0"
  /*  2505 */ "DeprecationReportBody" "\0"
  /*  2527 */ "DeviceAcceleration" "\0"
  /*  2546 */ "DeviceLightEvent" "\0"
  /*  2563 */ "DeviceMotionEvent" "\0"
  /*  2581 */ "DeviceOrientationEvent" "\0"
  /*  2604 */ "DeviceRotationRate" "\0"
  /*  2623 */ "Directory" "\0"
  /*  2633 */ "Document" "\0"
  /*  2642 */ "DocumentFragment" "\0"
  /*  2659 */ "DocumentL10n" "\0"
  /*  2672 */ "DocumentTimeline" "\0"
  /*  2689 */ "DocumentType" "\0"
  /*  2702 */ "DominatorTree" "\0"
  /*  2716 */ "DragEvent" "\0"
  /*  2726 */ "DynamicsCompressorNode" "\0"
  /*  2749 */ "EXT_blend_minmax" "\0"
  /*  2766 */ "EXT_color_buffer_float" "\0"
  /*  2789 */ "EXT_color_buffer_half_float" "\0"
  /*  2817 */ "EXT_disjoint_timer_query" "\0"
  /*  2842 */ "EXT_float_blend" "\0"
  /*  2858 */ "EXT_frag_depth" "\0"
  /*  2873 */ "EXT_sRGB" "\0"
  /*  2882 */ "EXT_shader_texture_lod" "\0"
  /*  2905 */ "EXT_texture_compression_bptc" "\0"
  /*  2934 */ "EXT_texture_compression_rgtc" "\0"
  /*  2963 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2994 */ "EXT_texture_norm16" "\0"
  /*  3013 */ "Element" "\0"
  /*  3021 */ "ElementInternals" "\0"
  /*  3038 */ "EncodedAudioChunk" "\0"
  /*  3056 */ "EncodedVideoChunk" "\0"
  /*  3074 */ "ErrorEvent" "\0"
  /*  3085 */ "Event" "\0"
  /*  3091 */ "EventCallbackDebuggerNotification" "\0"
  /*  3125 */ "EventCounts" "\0"
  /*  3137 */ "EventSource" "\0"
  /*  3149 */ "EventTarget" "\0"
  /*  3161 */ "Exception" "\0"
  /*  3171 */ "ExtendableEvent" "\0"
  /*  3187 */ "ExtendableMessageEvent" "\0"
  /*  3210 */ "ExtensionAlarms" "\0"
  /*  3226 */ "ExtensionBrowser" "\0"
  /*  3243 */ "ExtensionBrowserSettings" "\0"
  /*  3268 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3308 */ "ExtensionDns" "\0"
  /*  3321 */ "ExtensionEventManager" "\0"
  /*  3343 */ "ExtensionMockAPI" "\0"
  /*  3360 */ "ExtensionPort" "\0"
  /*  3374 */ "ExtensionProxy" "\0"
  /*  3389 */ "ExtensionRuntime" "\0"
  /*  3406 */ "ExtensionScripting" "\0"
  /*  3425 */ "ExtensionSetting" "\0"
  /*  3442 */ "ExtensionTest" "\0"
  /*  3456 */ "External" "\0"
  /*  3465 */ "FeaturePolicy" "\0"
  /*  3479 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3512 */ "FetchEvent" "\0"
  /*  3523 */ "FetchObserver" "\0"
  /*  3537 */ "File" "\0"
  /*  3542 */ "FileList" "\0"
  /*  3551 */ "FileReader" "\0"
  /*  3562 */ "FileReaderSync" "\0"
  /*  3577 */ "FileSystem" "\0"
  /*  3588 */ "FileSystemDirectoryEntry" "\0"
  /*  3613 */ "FileSystemDirectoryHandle" "\0"
  /*  3639 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3679 */ "FileSystemDirectoryIterator" "\0"
  /*  3707 */ "FileSystemDirectoryReader" "\0"
  /*  3733 */ "FileSystemEntry" "\0"
  /*  3749 */ "FileSystemFileEntry" "\0"
  /*  3769 */ "FileSystemFileHandle" "\0"
  /*  3790 */ "FileSystemHandle" "\0"
  /*  3807 */ "FileSystemSyncAccessHandle" "\0"
  /*  3834 */ "FileSystemWritableFileStream" "\0"
  /*  3863 */ "Flex" "\0"
  /*  3868 */ "FlexItemValues" "\0"
  /*  3883 */ "FlexLineValues" "\0"
  /*  3898 */ "FluentBundle" "\0"
  /*  3911 */ "FluentBundleAsyncIterator" "\0"
  /*  3937 */ "FluentBundleIterator" "\0"
  /*  3958 */ "FluentPattern" "\0"
  /*  3972 */ "FluentResource" "\0"
  /*  3987 */ "FocusEvent" "\0"
  /*  3998 */ "FontFace" "\0"
  /*  4007 */ "FontFaceSet" "\0"
  /*  4019 */ "FontFaceSetIterator" "\0"
  /*  4039 */ "FontFaceSetLoadEvent" "\0"
  /*  4060 */ "FormData" "\0"
  /*  4069 */ "FormData Iterator" "\0"
  /*  4087 */ "FormDataEvent" "\0"
  /*  4101 */ "FrameCrashedEvent" "\0"
  /*  4119 */ "FrameLoader" "\0"
  /*  4131 */ "GPU" "\0"
  /*  4135 */ "GPUAdapter" "\0"
  /*  4146 */ "GPUAdapterInfo" "\0"
  /*  4161 */ "GPUBindGroup" "\0"
  /*  4174 */ "GPUBindGroupLayout" "\0"
  /*  4193 */ "GPUBuffer" "\0"
  /*  4203 */ "GPUBufferUsage" "\0"
  /*  4218 */ "GPUCanvasContext" "\0"
  /*  4235 */ "GPUColorWrite" "\0"
  /*  4249 */ "GPUCommandBuffer" "\0"
  /*  4266 */ "GPUCommandEncoder" "\0"
  /*  4284 */ "GPUCompilationInfo" "\0"
  /*  4303 */ "GPUCompilationMessage" "\0"
  /*  4325 */ "GPUComputePassEncoder" "\0"
  /*  4347 */ "GPUComputePipeline" "\0"
  /*  4366 */ "GPUDevice" "\0"
  /*  4376 */ "GPUDeviceLostInfo" "\0"
  /*  4394 */ "GPUError" "\0"
  /*  4403 */ "GPUInternalError" "\0"
  /*  4420 */ "GPUMapMode" "\0"
  /*  4431 */ "GPUOutOfMemoryError" "\0"
  /*  4451 */ "GPUPipelineLayout" "\0"
  /*  4469 */ "GPUQuerySet" "\0"
  /*  4481 */ "GPUQueue" "\0"
  /*  4490 */ "GPURenderBundle" "\0"
  /*  4506 */ "GPURenderBundleEncoder" "\0"
  /*  4529 */ "GPURenderPassEncoder" "\0"
  /*  4550 */ "GPURenderPipeline" "\0"
  /*  4568 */ "GPUSampler" "\0"
  /*  4579 */ "GPUShaderModule" "\0"
  /*  4595 */ "GPUShaderStage" "\0"
  /*  4610 */ "GPUSupportedFeatures" "\0"
  /*  4631 */ "GPUSupportedLimits" "\0"
  /*  4650 */ "GPUTexture" "\0"
  /*  4661 */ "GPUTextureUsage" "\0"
  /*  4677 */ "GPUTextureView" "\0"
  /*  4692 */ "GPUUncapturedErrorEvent" "\0"
  /*  4716 */ "GPUValidationError" "\0"
  /*  4735 */ "GainNode" "\0"
  /*  4744 */ "Gamepad" "\0"
  /*  4752 */ "GamepadAxisMoveEvent" "\0"
  /*  4773 */ "GamepadButton" "\0"
  /*  4787 */ "GamepadButtonEvent" "\0"
  /*  4806 */ "GamepadEvent" "\0"
  /*  4819 */ "GamepadHapticActuator" "\0"
  /*  4841 */ "GamepadLightIndicator" "\0"
  /*  4863 */ "GamepadPose" "\0"
  /*  4875 */ "GamepadServiceTest" "\0"
  /*  4894 */ "GamepadTouch" "\0"
  /*  4907 */ "Geolocation" "\0"
  /*  4919 */ "GeolocationCoordinates" "\0"
  /*  4942 */ "GeolocationPosition" "\0"
  /*  4962 */ "GeolocationPositionError" "\0"
  /*  4987 */ "GetUserMediaRequest" "\0"
  /*  5007 */ "GleanBoolean" "\0"
  /*  5020 */ "GleanCategory" "\0"
  /*  5034 */ "GleanCounter" "\0"
  /*  5047 */ "GleanCustomDistribution" "\0"
  /*  5071 */ "GleanDatetime" "\0"
  /*  5085 */ "GleanDenominator" "\0"
  /*  5102 */ "GleanEvent" "\0"
  /*  5113 */ "GleanImpl" "\0"
  /*  5123 */ "GleanLabeled" "\0"
  /*  5136 */ "GleanMemoryDistribution" "\0"
  /*  5160 */ "GleanMetric" "\0"
  /*  5172 */ "GleanNumerator" "\0"
  /*  5187 */ "GleanObject" "\0"
  /*  5199 */ "GleanPingsImpl" "\0"
  /*  5214 */ "GleanQuantity" "\0"
  /*  5228 */ "GleanRate" "\0"
  /*  5238 */ "GleanString" "\0"
  /*  5250 */ "GleanStringList" "\0"
  /*  5266 */ "GleanText" "\0"
  /*  5276 */ "GleanTimespan" "\0"
  /*  5290 */ "GleanTimingDistribution" "\0"
  /*  5314 */ "GleanUrl" "\0"
  /*  5323 */ "GleanUuid" "\0"
  /*  5333 */ "Grid" "\0"
  /*  5338 */ "GridArea" "\0"
  /*  5347 */ "GridDimension" "\0"
  /*  5361 */ "GridLine" "\0"
  /*  5370 */ "GridLines" "\0"
  /*  5380 */ "GridTrack" "\0"
  /*  5390 */ "GridTracks" "\0"
  /*  5401 */ "HTMLAllCollection" "\0"
  /*  5419 */ "HTMLAnchorElement" "\0"
  /*  5437 */ "HTMLAreaElement" "\0"
  /*  5453 */ "HTMLAudioElement" "\0"
  /*  5470 */ "HTMLBRElement" "\0"
  /*  5484 */ "HTMLBaseElement" "\0"
  /*  5500 */ "HTMLBodyElement" "\0"
  /*  5516 */ "HTMLButtonElement" "\0"
  /*  5534 */ "HTMLCanvasElement" "\0"
  /*  5552 */ "HTMLCollection" "\0"
  /*  5567 */ "HTMLDListElement" "\0"
  /*  5584 */ "HTMLDataElement" "\0"
  /*  5600 */ "HTMLDataListElement" "\0"
  /*  5620 */ "HTMLDetailsElement" "\0"
  /*  5639 */ "HTMLDialogElement" "\0"
  /*  5657 */ "HTMLDirectoryElement" "\0"
  /*  5678 */ "HTMLDivElement" "\0"
  /*  5693 */ "HTMLDocument" "\0"
  /*  5706 */ "HTMLElement" "\0"
  /*  5718 */ "HTMLEmbedElement" "\0"
  /*  5735 */ "HTMLFieldSetElement" "\0"
  /*  5755 */ "HTMLFontElement" "\0"
  /*  5771 */ "HTMLFormControlsCollection" "\0"
  /*  5798 */ "HTMLFormElement" "\0"
  /*  5814 */ "HTMLFrameElement" "\0"
  /*  5831 */ "HTMLFrameSetElement" "\0"
  /*  5851 */ "HTMLHRElement" "\0"
  /*  5865 */ "HTMLHeadElement" "\0"
  /*  5881 */ "HTMLHeadingElement" "\0"
  /*  5900 */ "HTMLHtmlElement" "\0"
  /*  5916 */ "HTMLIFrameElement" "\0"
  /*  5934 */ "HTMLImageElement" "\0"
  /*  5951 */ "HTMLInputElement" "\0"
  /*  5968 */ "HTMLLIElement" "\0"
  /*  5982 */ "HTMLLabelElement" "\0"
  /*  5999 */ "HTMLLegendElement" "\0"
  /*  6017 */ "HTMLLinkElement" "\0"
  /*  6033 */ "HTMLMapElement" "\0"
  /*  6048 */ "HTMLMarqueeElement" "\0"
  /*  6067 */ "HTMLMediaElement" "\0"
  /*  6084 */ "HTMLMenuElement" "\0"
  /*  6100 */ "HTMLMetaElement" "\0"
  /*  6116 */ "HTMLMeterElement" "\0"
  /*  6133 */ "HTMLModElement" "\0"
  /*  6148 */ "HTMLOListElement" "\0"
  /*  6165 */ "HTMLObjectElement" "\0"
  /*  6183 */ "HTMLOptGroupElement" "\0"
  /*  6203 */ "HTMLOptionElement" "\0"
  /*  6221 */ "HTMLOptionsCollection" "\0"
  /*  6243 */ "HTMLOutputElement" "\0"
  /*  6261 */ "HTMLParagraphElement" "\0"
  /*  6282 */ "HTMLParamElement" "\0"
  /*  6299 */ "HTMLPictureElement" "\0"
  /*  6318 */ "HTMLPreElement" "\0"
  /*  6333 */ "HTMLProgressElement" "\0"
  /*  6353 */ "HTMLQuoteElement" "\0"
  /*  6370 */ "HTMLScriptElement" "\0"
  /*  6388 */ "HTMLSelectElement" "\0"
  /*  6406 */ "HTMLSlotElement" "\0"
  /*  6422 */ "HTMLSourceElement" "\0"
  /*  6440 */ "HTMLSpanElement" "\0"
  /*  6456 */ "HTMLStyleElement" "\0"
  /*  6473 */ "HTMLTableCaptionElement" "\0"
  /*  6497 */ "HTMLTableCellElement" "\0"
  /*  6518 */ "HTMLTableColElement" "\0"
  /*  6538 */ "HTMLTableElement" "\0"
  /*  6555 */ "HTMLTableRowElement" "\0"
  /*  6575 */ "HTMLTableSectionElement" "\0"
  /*  6599 */ "HTMLTemplateElement" "\0"
  /*  6619 */ "HTMLTextAreaElement" "\0"
  /*  6639 */ "HTMLTimeElement" "\0"
  /*  6655 */ "HTMLTitleElement" "\0"
  /*  6672 */ "HTMLTrackElement" "\0"
  /*  6689 */ "HTMLUListElement" "\0"
  /*  6706 */ "HTMLUnknownElement" "\0"
  /*  6725 */ "HTMLVideoElement" "\0"
  /*  6742 */ "HashChangeEvent" "\0"
  /*  6758 */ "Headers" "\0"
  /*  6766 */ "Headers Iterator" "\0"
  /*  6783 */ "HeapSnapshot" "\0"
  /*  6796 */ "Highlight" "\0"
  /*  6806 */ "HighlightRegistry" "\0"
  /*  6824 */ "History" "\0"
  /*  6832 */ "IDBCursor" "\0"
  /*  6842 */ "IDBCursorWithValue" "\0"
  /*  6861 */ "IDBDatabase" "\0"
  /*  6873 */ "IDBFactory" "\0"
  /*  6884 */ "IDBIndex" "\0"
  /*  6893 */ "IDBKeyRange" "\0"
  /*  6905 */ "IDBObjectStore" "\0"
  /*  6920 */ "IDBOpenDBRequest" "\0"
  /*  6937 */ "IDBRequest" "\0"
  /*  6948 */ "IDBTransaction" "\0"
  /*  6963 */ "IDBVersionChangeEvent" "\0"
  /*  6985 */ "IIRFilterNode" "\0"
  /*  6999 */ "IOUtils" "\0"
  /*  7007 */ "IdentityCredential" "\0"
  /*  7026 */ "IdleDeadline" "\0"
  /*  7039 */ "Image" "\0"
  /*  7045 */ "ImageBitmap" "\0"
  /*  7057 */ "ImageBitmapRenderingContext" "\0"
  /*  7085 */ "ImageCapture" "\0"
  /*  7098 */ "ImageCaptureError" "\0"
  /*  7116 */ "ImageCaptureErrorEvent" "\0"
  /*  7139 */ "ImageData" "\0"
  /*  7149 */ "ImageDocument" "\0"
  /*  7163 */ "InputEvent" "\0"
  /*  7174 */ "InspectorFontFace" "\0"
  /*  7192 */ "InspectorUtils" "\0"
  /*  7207 */ "InstallTriggerImpl" "\0"
  /*  7226 */ "IntersectionObserver" "\0"
  /*  7247 */ "IntersectionObserverEntry" "\0"
  /*  7273 */ "IntlUtils" "\0"
  /*  7283 */ "InvokeEvent" "\0"
  /*  7295 */ "JSProcessActorChild" "\0"
  /*  7315 */ "JSProcessActorParent" "\0"
  /*  7336 */ "JSWindowActorChild" "\0"
  /*  7355 */ "JSWindowActorParent" "\0"
  /*  7375 */ "KeyEvent" "\0"
  /*  7384 */ "KeyboardEvent" "\0"
  /*  7398 */ "KeyframeEffect" "\0"
  /*  7413 */ "L10nFileSource" "\0"
  /*  7428 */ "L10nOverlays" "\0"
  /*  7441 */ "L10nRegistry" "\0"
  /*  7454 */ "LargestContentfulPaint" "\0"
  /*  7477 */ "LegacyMozTCPSocket" "\0"
  /*  7496 */ "Localization" "\0"
  /*  7509 */ "Location" "\0"
  /*  7518 */ "Lock" "\0"
  /*  7523 */ "LockManager" "\0"
  /*  7535 */ "MIDIAccess" "\0"
  /*  7546 */ "MIDIConnectionEvent" "\0"
  /*  7566 */ "MIDIInput" "\0"
  /*  7576 */ "MIDIInputMap" "\0"
  /*  7589 */ "MIDIMessageEvent" "\0"
  /*  7606 */ "MIDIOutput" "\0"
  /*  7617 */ "MIDIOutputMap" "\0"
  /*  7631 */ "MIDIPort" "\0"
  /*  7640 */ "MOZ_debug" "\0"
  /*  7650 */ "MatchGlob" "\0"
  /*  7660 */ "MatchPattern" "\0"
  /*  7673 */ "MatchPatternSet" "\0"
  /*  7689 */ "MathMLElement" "\0"
  /*  7703 */ "MediaCapabilities" "\0"
  /*  7721 */ "MediaCapabilitiesInfo" "\0"
  /*  7743 */ "MediaControlService" "\0"
  /*  7763 */ "MediaController" "\0"
  /*  7779 */ "MediaDeviceInfo" "\0"
  /*  7795 */ "MediaDevices" "\0"
  /*  7808 */ "MediaElementAudioSourceNode" "\0"
  /*  7836 */ "MediaEncryptedEvent" "\0"
  /*  7856 */ "MediaError" "\0"
  /*  7867 */ "MediaKeyError" "\0"
  /*  7881 */ "MediaKeyMessageEvent" "\0"
  /*  7902 */ "MediaKeySession" "\0"
  /*  7918 */ "MediaKeyStatusMap" "\0"
  /*  7936 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7963 */ "MediaKeySystemAccess" "\0"
  /*  7984 */ "MediaKeys" "\0"
  /*  7994 */ "MediaList" "\0"
  /*  8004 */ "MediaMetadata" "\0"
  /*  8018 */ "MediaQueryList" "\0"
  /*  8033 */ "MediaQueryListEvent" "\0"
  /*  8053 */ "MediaRecorder" "\0"
  /*  8067 */ "MediaRecorderErrorEvent" "\0"
  /*  8091 */ "MediaSession" "\0"
  /*  8104 */ "MediaSource" "\0"
  /*  8116 */ "MediaStream" "\0"
  /*  8128 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8160 */ "MediaStreamAudioSourceNode" "\0"
  /*  8187 */ "MediaStreamError" "\0"
  /*  8204 */ "MediaStreamEvent" "\0"
  /*  8221 */ "MediaStreamTrack" "\0"
  /*  8238 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8270 */ "MediaStreamTrackEvent" "\0"
  /*  8292 */ "MerchantValidationEvent" "\0"
  /*  8316 */ "MessageBroadcaster" "\0"
  /*  8335 */ "MessageChannel" "\0"
  /*  8350 */ "MessageEvent" "\0"
  /*  8363 */ "MessageListenerManager" "\0"
  /*  8386 */ "MessagePort" "\0"
  /*  8398 */ "MessageSender" "\0"
  /*  8412 */ "MimeType" "\0"
  /*  8421 */ "MimeTypeArray" "\0"
  /*  8435 */ "MouseEvent" "\0"
  /*  8446 */ "MouseScrollEvent" "\0"
  /*  8463 */ "MozCanvasPrintState" "\0"
  /*  8483 */ "MozDocumentMatcher" "\0"
  /*  8502 */ "MozDocumentObserver" "\0"
  /*  8522 */ "MozQueryInterface" "\0"
  /*  8540 */ "MozSharedMap" "\0"
  /*  8553 */ "MozSharedMap Iterator" "\0"
  /*  8575 */ "MozSharedMapChangeEvent" "\0"
  /*  8599 */ "MozStorageAsyncStatementParams" "\0"
  /*  8630 */ "MozStorageStatementParams" "\0"
  /*  8656 */ "MozStorageStatementRow" "\0"
  /*  8679 */ "MozWritableSharedMap" "\0"
  /*  8700 */ "MutationEvent" "\0"
  /*  8714 */ "MutationObserver" "\0"
  /*  8731 */ "MutationRecord" "\0"
  /*  8746 */ "NamedNodeMap" "\0"
  /*  8759 */ "NavigationPreloadManager" "\0"
  /*  8784 */ "Navigator" "\0"
  /*  8794 */ "NetworkInformation" "\0"
  /*  8813 */ "Node" "\0"
  /*  8818 */ "NodeFilter" "\0"
  /*  8829 */ "NodeIterator" "\0"
  /*  8842 */ "NodeList" "\0"
  /*  8851 */ "Notification" "\0"
  /*  8864 */ "NotificationEvent" "\0"
  /*  8882 */ "NotifyPaintEvent" "\0"
  /*  8899 */ "OES_draw_buffers_indexed" "\0"
  /*  8924 */ "OES_element_index_uint" "\0"
  /*  8947 */ "OES_fbo_render_mipmap" "\0"
  /*  8969 */ "OES_standard_derivatives" "\0"
  /*  8994 */ "OES_texture_float" "\0"
  /*  9012 */ "OES_texture_float_linear" "\0"
  /*  9037 */ "OES_texture_half_float" "\0"
  /*  9060 */ "OES_texture_half_float_linear" "\0"
  /*  9090 */ "OES_vertex_array_object" "\0"
  /*  9114 */ "OVR_multiview2" "\0"
  /*  9129 */ "OfflineAudioCompletionEvent" "\0"
  /*  9157 */ "OfflineAudioContext" "\0"
  /*  9177 */ "OffscreenCanvas" "\0"
  /*  9193 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9227 */ "OnlyForUseInConstructor" "\0"
  /*  9251 */ "Option" "\0"
  /*  9258 */ "OscillatorNode" "\0"
  /*  9273 */ "PageTransitionEvent" "\0"
  /*  9293 */ "PaintRequest" "\0"
  /*  9306 */ "PaintRequestList" "\0"
  /*  9323 */ "PaintWorkletGlobalScope" "\0"
  /*  9347 */ "PannerNode" "\0"
  /*  9358 */ "ParentProcessMessageManager" "\0"
  /*  9386 */ "Path2D" "\0"
  /*  9393 */ "PathUtils" "\0"
  /*  9403 */ "PaymentAddress" "\0"
  /*  9418 */ "PaymentMethodChangeEvent" "\0"
  /*  9443 */ "PaymentRequest" "\0"
  /*  9458 */ "PaymentRequestUpdateEvent" "\0"
  /*  9484 */ "PaymentResponse" "\0"
  /*  9500 */ "PeerConnectionImpl" "\0"
  /*  9519 */ "PeerConnectionObserver" "\0"
  /*  9542 */ "Performance" "\0"
  /*  9554 */ "PerformanceEntry" "\0"
  /*  9571 */ "PerformanceEntryEvent" "\0"
  /*  9593 */ "PerformanceEventTiming" "\0"
  /*  9616 */ "PerformanceMark" "\0"
  /*  9632 */ "PerformanceMeasure" "\0"
  /*  9651 */ "PerformanceNavigation" "\0"
  /*  9673 */ "PerformanceNavigationTiming" "\0"
  /*  9701 */ "PerformanceObserver" "\0"
  /*  9721 */ "PerformanceObserverEntryList" "\0"
  /*  9750 */ "PerformancePaintTiming" "\0"
  /*  9773 */ "PerformanceResourceTiming" "\0"
  /*  9799 */ "PerformanceServerTiming" "\0"
  /*  9823 */ "PerformanceTiming" "\0"
  /*  9841 */ "PeriodicWave" "\0"
  /*  9854 */ "PermissionStatus" "\0"
  /*  9871 */ "Permissions" "\0"
  /*  9883 */ "PlacesBookmark" "\0"
  /*  9898 */ "PlacesBookmarkAddition" "\0"
  /*  9921 */ "PlacesBookmarkChanged" "\0"
  /*  9943 */ "PlacesBookmarkGuid" "\0"
  /*  9962 */ "PlacesBookmarkKeyword" "\0"
  /*  9984 */ "PlacesBookmarkMoved" "\0"
  /* 10004 */ "PlacesBookmarkRemoved" "\0"
  /* 10026 */ "PlacesBookmarkTags" "\0"
  /* 10045 */ "PlacesBookmarkTime" "\0"
  /* 10064 */ "PlacesBookmarkTitle" "\0"
  /* 10084 */ "PlacesBookmarkUrl" "\0"
  /* 10102 */ "PlacesEvent" "\0"
  /* 10114 */ "PlacesFavicon" "\0"
  /* 10128 */ "PlacesHistoryCleared" "\0"
  /* 10149 */ "PlacesObservers" "\0"
  /* 10165 */ "PlacesPurgeCaches" "\0"
  /* 10183 */ "PlacesRanking" "\0"
  /* 10197 */ "PlacesVisit" "\0"
  /* 10209 */ "PlacesVisitRemoved" "\0"
  /* 10228 */ "PlacesVisitTitle" "\0"
  /* 10245 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10271 */ "Plugin" "\0"
  /* 10278 */ "PluginArray" "\0"
  /* 10290 */ "PluginCrashedEvent" "\0"
  /* 10309 */ "PointerEvent" "\0"
  /* 10322 */ "PopStateEvent" "\0"
  /* 10336 */ "PopupBlockedEvent" "\0"
  /* 10354 */ "PopupPositionedEvent" "\0"
  /* 10375 */ "PositionStateEvent" "\0"
  /* 10394 */ "PrecompiledScript" "\0"
  /* 10412 */ "ProcessMessageManager" "\0"
  /* 10434 */ "ProcessingInstruction" "\0"
  /* 10456 */ "ProgressEvent" "\0"
  /* 10470 */ "PromiseDebugging" "\0"
  /* 10487 */ "PromiseNativeHandler" "\0"
  /* 10508 */ "PromiseRejectionEvent" "\0"
  /* 10530 */ "PublicKeyCredential" "\0"
  /* 10550 */ "PushEvent" "\0"
  /* 10560 */ "PushManager" "\0"
  /* 10572 */ "PushManagerImpl" "\0"
  /* 10588 */ "PushMessageData" "\0"
  /* 10604 */ "PushSubscription" "\0"
  /* 10621 */ "PushSubscriptionOptions" "\0"
  /* 10645 */ "RTCCertificate" "\0"
  /* 10660 */ "RTCDTMFSender" "\0"
  /* 10674 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10697 */ "RTCDataChannel" "\0"
  /* 10712 */ "RTCDataChannelEvent" "\0"
  /* 10732 */ "RTCDtlsTransport" "\0"
  /* 10749 */ "RTCEncodedAudioFrame" "\0"
  /* 10770 */ "RTCEncodedVideoFrame" "\0"
  /* 10791 */ "RTCIceCandidate" "\0"
  /* 10807 */ "RTCIceTransport" "\0"
  /* 10823 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10852 */ "RTCPeerConnection" "\0"
  /* 10870 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10896 */ "RTCPeerConnectionStatic" "\0"
  /* 10920 */ "RTCRtpReceiver" "\0"
  /* 10935 */ "RTCRtpScriptTransform" "\0"
  /* 10957 */ "RTCRtpScriptTransformer" "\0"
  /* 10981 */ "RTCRtpSender" "\0"
  /* 10994 */ "RTCRtpTransceiver" "\0"
  /* 11012 */ "RTCSctpTransport" "\0"
  /* 11029 */ "RTCSessionDescription" "\0"
  /* 11051 */ "RTCStatsReport" "\0"
  /* 11066 */ "RTCTrackEvent" "\0"
  /* 11080 */ "RTCTransformEvent" "\0"
  /* 11098 */ "RadioNodeList" "\0"
  /* 11112 */ "Range" "\0"
  /* 11118 */ "ReadableByteStreamController" "\0"
  /* 11147 */ "ReadableStream" "\0"
  /* 11162 */ "ReadableStream AsyncIterator" "\0"
  /* 11191 */ "ReadableStreamBYOBReader" "\0"
  /* 11216 */ "ReadableStreamBYOBRequest" "\0"
  /* 11242 */ "ReadableStreamDefaultController" "\0"
  /* 11274 */ "ReadableStreamDefaultReader" "\0"
  /* 11302 */ "Report" "\0"
  /* 11309 */ "ReportBody" "\0"
  /* 11320 */ "ReportingObserver" "\0"
  /* 11338 */ "Request" "\0"
  /* 11346 */ "ResizeObserver" "\0"
  /* 11361 */ "ResizeObserverEntry" "\0"
  /* 11381 */ "ResizeObserverSize" "\0"
  /* 11400 */ "Response" "\0"
  /* 11409 */ "SVGAElement" "\0"
  /* 11421 */ "SVGAngle" "\0"
  /* 11430 */ "SVGAnimateElement" "\0"
  /* 11448 */ "SVGAnimateMotionElement" "\0"
  /* 11472 */ "SVGAnimateTransformElement" "\0"
  /* 11499 */ "SVGAnimatedAngle" "\0"
  /* 11516 */ "SVGAnimatedBoolean" "\0"
  /* 11535 */ "SVGAnimatedEnumeration" "\0"
  /* 11558 */ "SVGAnimatedInteger" "\0"
  /* 11577 */ "SVGAnimatedLength" "\0"
  /* 11595 */ "SVGAnimatedLengthList" "\0"
  /* 11617 */ "SVGAnimatedNumber" "\0"
  /* 11635 */ "SVGAnimatedNumberList" "\0"
  /* 11657 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11688 */ "SVGAnimatedRect" "\0"
  /* 11704 */ "SVGAnimatedString" "\0"
  /* 11722 */ "SVGAnimatedTransformList" "\0"
  /* 11747 */ "SVGAnimationElement" "\0"
  /* 11767 */ "SVGCircleElement" "\0"
  /* 11784 */ "SVGClipPathElement" "\0"
  /* 11803 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11839 */ "SVGDefsElement" "\0"
  /* 11854 */ "SVGDescElement" "\0"
  /* 11869 */ "SVGElement" "\0"
  /* 11880 */ "SVGEllipseElement" "\0"
  /* 11898 */ "SVGFEBlendElement" "\0"
  /* 11916 */ "SVGFEColorMatrixElement" "\0"
  /* 11940 */ "SVGFEComponentTransferElement" "\0"
  /* 11970 */ "SVGFECompositeElement" "\0"
  /* 11992 */ "SVGFEConvolveMatrixElement" "\0"
  /* 12019 */ "SVGFEDiffuseLightingElement" "\0"
  /* 12047 */ "SVGFEDisplacementMapElement" "\0"
  /* 12075 */ "SVGFEDistantLightElement" "\0"
  /* 12100 */ "SVGFEDropShadowElement" "\0"
  /* 12123 */ "SVGFEFloodElement" "\0"
  /* 12141 */ "SVGFEFuncAElement" "\0"
  /* 12159 */ "SVGFEFuncBElement" "\0"
  /* 12177 */ "SVGFEFuncGElement" "\0"
  /* 12195 */ "SVGFEFuncRElement" "\0"
  /* 12213 */ "SVGFEGaussianBlurElement" "\0"
  /* 12238 */ "SVGFEImageElement" "\0"
  /* 12256 */ "SVGFEMergeElement" "\0"
  /* 12274 */ "SVGFEMergeNodeElement" "\0"
  /* 12296 */ "SVGFEMorphologyElement" "\0"
  /* 12319 */ "SVGFEOffsetElement" "\0"
  /* 12338 */ "SVGFEPointLightElement" "\0"
  /* 12361 */ "SVGFESpecularLightingElement" "\0"
  /* 12390 */ "SVGFESpotLightElement" "\0"
  /* 12412 */ "SVGFETileElement" "\0"
  /* 12429 */ "SVGFETurbulenceElement" "\0"
  /* 12452 */ "SVGFilterElement" "\0"
  /* 12469 */ "SVGForeignObjectElement" "\0"
  /* 12493 */ "SVGGElement" "\0"
  /* 12505 */ "SVGGeometryElement" "\0"
  /* 12524 */ "SVGGradientElement" "\0"
  /* 12543 */ "SVGGraphicsElement" "\0"
  /* 12562 */ "SVGImageElement" "\0"
  /* 12578 */ "SVGLength" "\0"
  /* 12588 */ "SVGLengthList" "\0"
  /* 12602 */ "SVGLineElement" "\0"
  /* 12617 */ "SVGLinearGradientElement" "\0"
  /* 12642 */ "SVGMPathElement" "\0"
  /* 12658 */ "SVGMarkerElement" "\0"
  /* 12675 */ "SVGMaskElement" "\0"
  /* 12690 */ "SVGMatrix" "\0"
  /* 12700 */ "SVGMetadataElement" "\0"
  /* 12719 */ "SVGNumber" "\0"
  /* 12729 */ "SVGNumberList" "\0"
  /* 12743 */ "SVGPathElement" "\0"
  /* 12758 */ "SVGPathSeg" "\0"
  /* 12769 */ "SVGPathSegArcAbs" "\0"
  /* 12786 */ "SVGPathSegArcRel" "\0"
  /* 12803 */ "SVGPathSegClosePath" "\0"
  /* 12823 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12849 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12875 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12907 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12939 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12969 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12999 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 13035 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 13071 */ "SVGPathSegLinetoAbs" "\0"
  /* 13091 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13121 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13151 */ "SVGPathSegLinetoRel" "\0"
  /* 13171 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13199 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13227 */ "SVGPathSegList" "\0"
  /* 13242 */ "SVGPathSegMovetoAbs" "\0"
  /* 13262 */ "SVGPathSegMovetoRel" "\0"
  /* 13282 */ "SVGPatternElement" "\0"
  /* 13300 */ "SVGPoint" "\0"
  /* 13309 */ "SVGPointList" "\0"
  /* 13322 */ "SVGPolygonElement" "\0"
  /* 13340 */ "SVGPolylineElement" "\0"
  /* 13359 */ "SVGPreserveAspectRatio" "\0"
  /* 13382 */ "SVGRadialGradientElement" "\0"
  /* 13407 */ "SVGRect" "\0"
  /* 13415 */ "SVGRectElement" "\0"
  /* 13430 */ "SVGSVGElement" "\0"
  /* 13444 */ "SVGScriptElement" "\0"
  /* 13461 */ "SVGSetElement" "\0"
  /* 13475 */ "SVGStopElement" "\0"
  /* 13490 */ "SVGStringList" "\0"
  /* 13504 */ "SVGStyleElement" "\0"
  /* 13520 */ "SVGSwitchElement" "\0"
  /* 13537 */ "SVGSymbolElement" "\0"
  /* 13554 */ "SVGTSpanElement" "\0"
  /* 13570 */ "SVGTextContentElement" "\0"
  /* 13592 */ "SVGTextElement" "\0"
  /* 13607 */ "SVGTextPathElement" "\0"
  /* 13626 */ "SVGTextPositioningElement" "\0"
  /* 13652 */ "SVGTitleElement" "\0"
  /* 13668 */ "SVGTransform" "\0"
  /* 13681 */ "SVGTransformList" "\0"
  /* 13698 */ "SVGUnitTypes" "\0"
  /* 13711 */ "SVGUseElement" "\0"
  /* 13725 */ "SVGViewElement" "\0"
  /* 13740 */ "Sanitizer" "\0"
  /* 13750 */ "Scheduler" "\0"
  /* 13760 */ "Screen" "\0"
  /* 13767 */ "ScreenLuminance" "\0"
  /* 13783 */ "ScreenOrientation" "\0"
  /* 13801 */ "ScriptProcessorNode" "\0"
  /* 13821 */ "ScrollAreaEvent" "\0"
  /* 13837 */ "ScrollViewChangeEvent" "\0"
  /* 13859 */ "SecurityPolicyViolationEvent" "\0"
  /* 13888 */ "Selection" "\0"
  /* 13898 */ "ServiceWorker" "\0"
  /* 13912 */ "ServiceWorkerContainer" "\0"
  /* 13935 */ "ServiceWorkerGlobalScope" "\0"
  /* 13960 */ "ServiceWorkerRegistration" "\0"
  /* 13986 */ "SessionStoreFormData" "\0"
  /* 14007 */ "SessionStoreScrollData" "\0"
  /* 14030 */ "SessionStoreUtils" "\0"
  /* 14048 */ "ShadowRealmGlobalScope" "\0"
  /* 14071 */ "ShadowRoot" "\0"
  /* 14082 */ "SharedWorker" "\0"
  /* 14095 */ "SharedWorkerGlobalScope" "\0"
  /* 14119 */ "SimpleGestureEvent" "\0"
  /* 14138 */ "SourceBuffer" "\0"
  /* 14151 */ "SourceBufferList" "\0"
  /* 14168 */ "SpeechGrammar" "\0"
  /* 14182 */ "SpeechGrammarList" "\0"
  /* 14200 */ "SpeechRecognition" "\0"
  /* 14218 */ "SpeechRecognitionAlternative" "\0"
  /* 14247 */ "SpeechRecognitionError" "\0"
  /* 14270 */ "SpeechRecognitionEvent" "\0"
  /* 14293 */ "SpeechRecognitionResult" "\0"
  /* 14317 */ "SpeechRecognitionResultList" "\0"
  /* 14345 */ "SpeechSynthesis" "\0"
  /* 14361 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14387 */ "SpeechSynthesisEvent" "\0"
  /* 14408 */ "SpeechSynthesisUtterance" "\0"
  /* 14433 */ "SpeechSynthesisVoice" "\0"
  /* 14454 */ "StaticRange" "\0"
  /* 14466 */ "StereoPannerNode" "\0"
  /* 14483 */ "Storage" "\0"
  /* 14491 */ "StorageEvent" "\0"
  /* 14504 */ "StorageManager" "\0"
  /* 14519 */ "StreamFilter" "\0"
  /* 14532 */ "StreamFilterDataEvent" "\0"
  /* 14554 */ "StructuredCloneHolder" "\0"
  /* 14576 */ "StructuredCloneTester" "\0"
  /* 14598 */ "StyleSheet" "\0"
  /* 14609 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14646 */ "StyleSheetList" "\0"
  /* 14661 */ "StyleSheetRemovedEvent" "\0"
  /* 14684 */ "SubmitEvent" "\0"
  /* 14696 */ "SubtleCrypto" "\0"
  /* 14709 */ "SyncMessageSender" "\0"
  /* 14727 */ "SyncReadFile" "\0"
  /* 14740 */ "TCPServerSocket" "\0"
  /* 14756 */ "TCPServerSocketEvent" "\0"
  /* 14777 */ "TCPSocket" "\0"
  /* 14787 */ "TCPSocketErrorEvent" "\0"
  /* 14807 */ "TCPSocketEvent" "\0"
  /* 14822 */ "TaskController" "\0"
  /* 14837 */ "TaskPriorityChangeEvent" "\0"
  /* 14861 */ "TaskSignal" "\0"
  /* 14872 */ "TelemetryStopwatch" "\0"
  /* 14891 */ "TestAttributesOnTypes" "\0"
  /* 14913 */ "TestCEReactionsInterface" "\0"
  /* 14938 */ "TestCImplementedInterface" "\0"
  /* 14964 */ "TestCImplementedInterface2" "\0"
  /* 14991 */ "TestCallbackDictUnionOverload" "\0"
  /* 15021 */ "TestChildInterface" "\0"
  /* 15040 */ "TestConstructorForFuncInterface" "\0"
  /* 15072 */ "TestConstructorForPrefInterface" "\0"
  /* 15104 */ "TestConstructorForSCInterface" "\0"
  /* 15134 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 15170 */ "TestDeprecatedInterface" "\0"
  /* 15194 */ "TestExampleInterface" "\0"
  /* 15215 */ "TestExampleProxyInterface" "\0"
  /* 15241 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 15281 */ "TestExampleWorkerInterface" "\0"
  /* 15308 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 15353 */ "TestFuncConstructorForInterface" "\0"
  /* 15385 */ "TestHTMLConstructorInterface" "\0"
  /* 15414 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 15458 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 15493 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 15528 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 15578 */ "TestIndexedGetterInterface" "\0"
  /* 15605 */ "TestIndexedSetterInterface" "\0"
  /* 15632 */ "TestInterface" "\0"
  /* 15646 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 15685 */ "TestJSImplInterface" "\0"
  /* 15705 */ "TestJSImplInterface2" "\0"
  /* 15726 */ "TestJSImplInterface3" "\0"
  /* 15747 */ "TestJSImplInterface4" "\0"
  /* 15768 */ "TestJSImplInterface5" "\0"
  /* 15789 */ "TestJSImplInterface6" "\0"
  /* 15810 */ "TestJSImplNoInterfaceObject" "\0"
  /* 15838 */ "TestNamedDeleterInterface" "\0"
  /* 15864 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 15900 */ "TestNamedGetterInterface" "\0"
  /* 15925 */ "TestNamedSetterInterface" "\0"
  /* 15950 */ "TestNamespace" "\0"
  /* 15964 */ "TestNonWrapperCacheInterface" "\0"
  /* 15993 */ "TestParentInterface" "\0"
  /* 16013 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 16061 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 16106 */ "TestPrefConstructorForInterface" "\0"
  /* 16138 */ "TestProtoObjectHackedNamespace" "\0"
  /* 16169 */ "TestRenamedInterface" "\0"
  /* 16190 */ "TestRenamedNamespace" "\0"
  /* 16211 */ "TestSCConstructorForInterface" "\0"
  /* 16241 */ "TestSecureContextInterface" "\0"
  /* 16268 */ "TestThrowingConstructorInterface" "\0"
  /* 16301 */ "TestUtils" "\0"
  /* 16311 */ "TestWorkerExposedInterface" "\0"
  /* 16338 */ "TestingDeprecatedInterface" "\0"
  /* 16365 */ "Text" "\0"
  /* 16370 */ "TextClause" "\0"
  /* 16381 */ "TextDecoder" "\0"
  /* 16393 */ "TextDecoderStream" "\0"
  /* 16411 */ "TextEncoder" "\0"
  /* 16423 */ "TextEncoderStream" "\0"
  /* 16441 */ "TextMetrics" "\0"
  /* 16453 */ "TextTrack" "\0"
  /* 16463 */ "TextTrackCue" "\0"
  /* 16476 */ "TextTrackCueList" "\0"
  /* 16493 */ "TextTrackList" "\0"
  /* 16507 */ "TimeEvent" "\0"
  /* 16517 */ "TimeRanges" "\0"
  /* 16528 */ "ToggleEvent" "\0"
  /* 16540 */ "Touch" "\0"
  /* 16546 */ "TouchEvent" "\0"
  /* 16557 */ "TouchList" "\0"
  /* 16567 */ "TrackEvent" "\0"
  /* 16578 */ "TransformStream" "\0"
  /* 16594 */ "TransformStreamDefaultController" "\0"
  /* 16627 */ "TransitionEvent" "\0"
  /* 16643 */ "TreeColumn" "\0"
  /* 16654 */ "TreeColumns" "\0"
  /* 16666 */ "TreeContentView" "\0"
  /* 16682 */ "TreeWalker" "\0"
  /* 16693 */ "TrustedHTML" "\0"
  /* 16705 */ "TrustedScript" "\0"
  /* 16719 */ "TrustedScriptURL" "\0"
  /* 16736 */ "TrustedTypePolicy" "\0"
  /* 16754 */ "TrustedTypePolicyFactory" "\0"
  /* 16779 */ "UDPMessageEvent" "\0"
  /* 16795 */ "UDPSocket" "\0"
  /* 16805 */ "UIEvent" "\0"
  /* 16813 */ "URL" "\0"
  /* 16817 */ "URLSearchParams" "\0"
  /* 16833 */ "URLSearchParams Iterator" "\0"
  /* 16858 */ "UniFFIPointer" "\0"
  /* 16872 */ "UniFFIScaffolding" "\0"
  /* 16890 */ "UserActivation" "\0"
  /* 16905 */ "UserInteraction" "\0"
  /* 16921 */ "UserProximityEvent" "\0"
  /* 16940 */ "VRDisplay" "\0"
  /* 16950 */ "VRDisplayCapabilities" "\0"
  /* 16972 */ "VRDisplayEvent" "\0"
  /* 16987 */ "VREyeParameters" "\0"
  /* 17003 */ "VRFieldOfView" "\0"
  /* 17017 */ "VRFrameData" "\0"
  /* 17029 */ "VRMockController" "\0"
  /* 17046 */ "VRMockDisplay" "\0"
  /* 17060 */ "VRPose" "\0"
  /* 17067 */ "VRServiceTest" "\0"
  /* 17081 */ "VRStageParameters" "\0"
  /* 17099 */ "VTTCue" "\0"
  /* 17106 */ "VTTRegion" "\0"
  /* 17116 */ "ValidityState" "\0"
  /* 17130 */ "VideoColorSpace" "\0"
  /* 17146 */ "VideoDecoder" "\0"
  /* 17159 */ "VideoEncoder" "\0"
  /* 17172 */ "VideoFrame" "\0"
  /* 17183 */ "VideoPlaybackQuality" "\0"
  /* 17204 */ "VideoTrack" "\0"
  /* 17215 */ "VideoTrackList" "\0"
  /* 17230 */ "VisualViewport" "\0"
  /* 17245 */ "WEBGL_color_buffer_float" "\0"
  /* 17270 */ "WEBGL_compressed_texture_astc" "\0"
  /* 17300 */ "WEBGL_compressed_texture_etc" "\0"
  /* 17329 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 17359 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 17390 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 17420 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 17455 */ "WEBGL_debug_renderer_info" "\0"
  /* 17481 */ "WEBGL_debug_shaders" "\0"
  /* 17501 */ "WEBGL_depth_texture" "\0"
  /* 17521 */ "WEBGL_draw_buffers" "\0"
  /* 17540 */ "WEBGL_explicit_present" "\0"
  /* 17563 */ "WEBGL_lose_context" "\0"
  /* 17582 */ "WEBGL_provoking_vertex" "\0"
  /* 17605 */ "WakeLock" "\0"
  /* 17614 */ "WakeLockSentinel" "\0"
  /* 17631 */ "WaveShaperNode" "\0"
  /* 17646 */ "WebExtensionContentScript" "\0"
  /* 17672 */ "WebExtensionPolicy" "\0"
  /* 17691 */ "WebGL2RenderingContext" "\0"
  /* 17714 */ "WebGLActiveInfo" "\0"
  /* 17730 */ "WebGLBuffer" "\0"
  /* 17742 */ "WebGLContextEvent" "\0"
  /* 17760 */ "WebGLFramebuffer" "\0"
  /* 17777 */ "WebGLProgram" "\0"
  /* 17790 */ "WebGLQuery" "\0"
  /* 17801 */ "WebGLRenderbuffer" "\0"
  /* 17819 */ "WebGLRenderingContext" "\0"
  /* 17841 */ "WebGLSampler" "\0"
  /* 17854 */ "WebGLShader" "\0"
  /* 17866 */ "WebGLShaderPrecisionFormat" "\0"
  /* 17893 */ "WebGLSync" "\0"
  /* 17903 */ "WebGLTexture" "\0"
  /* 17916 */ "WebGLTransformFeedback" "\0"
  /* 17939 */ "WebGLUniformLocation" "\0"
  /* 17960 */ "WebGLVertexArrayObject" "\0"
  /* 17983 */ "WebKitCSSMatrix" "\0"
  /* 17999 */ "WebSocket" "\0"
  /* 18009 */ "WebTransport" "\0"
  /* 18022 */ "WebTransportBidirectionalStream" "\0"
  /* 18054 */ "WebTransportDatagramDuplexStream" "\0"
  /* 18087 */ "WebTransportError" "\0"
  /* 18105 */ "WebTransportReceiveStream" "\0"
  /* 18131 */ "WebTransportSendStream" "\0"
  /* 18154 */ "WebrtcGlobalInformation" "\0"
  /* 18178 */ "WheelEvent" "\0"
  /* 18189 */ "Window" "\0"
  /* 18196 */ "WindowClient" "\0"
  /* 18209 */ "WindowContext" "\0"
  /* 18223 */ "WindowGlobalChild" "\0"
  /* 18241 */ "WindowGlobalParent" "\0"
  /* 18260 */ "WindowRoot" "\0"
  /* 18271 */ "Worker" "\0"
  /* 18278 */ "WorkerDebuggerGlobalScope" "\0"
  /* 18304 */ "WorkerGlobalScope" "\0"
  /* 18322 */ "WorkerLocation" "\0"
  /* 18337 */ "WorkerNavigator" "\0"
  /* 18353 */ "WorkerTestUtils" "\0"
  /* 18369 */ "Worklet" "\0"
  /* 18377 */ "WorkletGlobalScope" "\0"
  /* 18396 */ "WritableStream" "\0"
  /* 18411 */ "WritableStreamDefaultController" "\0"
  /* 18443 */ "WritableStreamDefaultWriter" "\0"
  /* 18471 */ "XMLDocument" "\0"
  /* 18483 */ "XMLHttpRequest" "\0"
  /* 18498 */ "XMLHttpRequestEventTarget" "\0"
  /* 18524 */ "XMLHttpRequestUpload" "\0"
  /* 18545 */ "XMLSerializer" "\0"
  /* 18559 */ "XPathEvaluator" "\0"
  /* 18574 */ "XPathExpression" "\0"
  /* 18590 */ "XPathResult" "\0"
  /* 18602 */ "XRBoundedReferenceSpace" "\0"
  /* 18626 */ "XRFrame" "\0"
  /* 18634 */ "XRInputSource" "\0"
  /* 18648 */ "XRInputSourceArray" "\0"
  /* 18667 */ "XRInputSourceEvent" "\0"
  /* 18686 */ "XRInputSourcesChangeEvent" "\0"
  /* 18712 */ "XRPose" "\0"
  /* 18719 */ "XRReferenceSpace" "\0"
  /* 18736 */ "XRReferenceSpaceEvent" "\0"
  /* 18758 */ "XRRenderState" "\0"
  /* 18772 */ "XRRigidTransform" "\0"
  /* 18789 */ "XRSession" "\0"
  /* 18799 */ "XRSessionEvent" "\0"
  /* 18814 */ "XRSpace" "\0"
  /* 18822 */ "XRSystem" "\0"
  /* 18831 */ "XRView" "\0"
  /* 18838 */ "XRViewerPose" "\0"
  /* 18851 */ "XRViewport" "\0"
  /* 18862 */ "XRWebGLLayer" "\0"
  /* 18875 */ "XSLTProcessor" "\0"
  /* 18889 */ "XULCommandEvent" "\0"
  /* 18905 */ "XULElement" "\0"
  /* 18916 */ "XULFrameElement" "\0"
  /* 18932 */ "XULMenuElement" "\0"
  /* 18947 */ "XULPopupElement" "\0"
  /* 18963 */ "XULResizerElement" "\0"
  /* 18981 */ "XULTextElement" "\0"
  /* 18996 */ "XULTreeElement" "\0"
  /* 19011 */ "console" "\0"
  /* 19019 */ "webkitSpeechGrammar" "\0"
  /* 19039 */ "webkitSpeechGrammarList" "\0"
  /* 19063 */ "webkitSpeechRecognition" "\0"
  /* 19087 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

